html {
  box-sizing: border-box;
}

*, *::before, *::after {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
}

:root {
  --light-orange: #ff6600;
  --dark-green: #003b00;
  --dark-grey: #777;
  --light-grey: #dadce0;
  --white: #fff;
}

body {
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen-Sans, Ubuntu, Cantarell, 'Helvetica Neue', sans-serif;
  background-color: var(--light-grey);
}

.home-search {
  position: absolute;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  max-width: 600px;
  text-align: center;
}

.home-search {
  color: #6b1216;
}

.home-search img {
  margin-bottom: 20px;
}

.home-input {
  outline: none;
  box-shadow: none;
  background-color: transparent;
  border-radius: 4px;
  padding: 10px 20px;
  border: 1px solid var(--dark-grey);
  width: 100%;
}

.main {
  display: flex;
  flex-direction: column;
  width: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  margin: 0px;
  background-color: white;
  margin: 0px;
  padding: 0px;
  border: 0px;
  overflow: hidden;
}

.main header {
  flex: 0 0 auto;
}

.main-header-content {
  min-height: 3em;
  margin: 0;
  padding: 0;
  text-align: center;
}

.main-header-nav {
  text-align: center;
  font-weight: bold;
  font-size: 0.9em;
  padding: 10px;
  box-shadow: 0px 2px 3px #585870;
  color: #ee9b01;
  background: linear-gradient(to bottom, #6b1216,#991b27 );
}

.about_link {
  color: #ee9b01;
  float: right;
}

.main-search {
  margin: 0px;
  padding: 15px;
  border: 1px solid #A0A0A0;
  border-radius: 0.3em 0 0 0.3em;
}

.main-search form {
  width: 100%;
  display: flex;
  flex-direction: row;
}

.main-search button {
  margin-left: 10px;
  margin-right: 10px;
  padding-left: 10px;
  padding-right: 10px;
}

a {
  text-decoration: none;
  color: #333;
}

a:hover {
  text-decoration: underline;
}

a.button {
  border: 2px solid #004400;
  color: var(--dark-green);
  border-radius: 4px;
  padding: 6px 24px;
  font-size: 14px;
  font-weight: 400;
}

a.button:hover {
  text-decoration: none;
  background-color: var(--dark-green);
  color: var(--light-orange);
}

.author {
  color: var(--light-orange);
}



.logo {
  color: #002200;
  flex-basis: 10%;
}

.search-input {
  width: 100%;
  height: 100%;
  border-radius: 4px;
  border-color: transparent;
  background-color: var(--dark-green);
  color: var(--light-orange);
  font-size: 16px;
  line-height: 1.4;
  padding-left: 5px;
}

.container {
  width: 100%;
  max-width: 1600px;
  margin: 0 auto;
  padding: 80px 20px 40px;
}

.result-count {
  color: var(--dark-grey);
  text-align: center;
  margin-bottom: 15px;
}

.search-results {
  display: grid;
  grid-auto-rows: 1fr;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
  list-style: none;
}

.news-article {
  border: 1px solid var(--dark-grey);
  background-color: var(--white);
  padding: 15px;
  border-radius: 4px;
  display: flex;
  flex-direction: column;
}

.article-image {
  width: 200px;
  flex-grow: 0;
  flex-shrink: 0;
  margin-left: 20px;
}

.title {
  margin-bottom: 15px;
}

.title-link {
  flex-grow: 1;
}

.description {
  color: var(--dark-grey);
  margin-bottom: 15px;
}

.metadata {
  color: var(--dark-green);
  font-size: 14px;
  margin-top: auto;
}

.created-date::after {
  content: '\0000a0\002022\0000a0';
  margin: 0 3px;
}

.pagination {
  margin-top: 20px;
}

.previous-page {
  margin-right: 20px;
}


.login_main {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.login_main form {
  background-color: rgba(60,89,107,.63);
  width: 40%;
  padding: 30px;
}

.login_main .label {
  font-size: 40px;
  text-align: center;
  color: #fff;
  padding-bottom: 15px;
  text-transform: capitalize;
}

.login_main .username input, .login_main .password input  {
  width: 100%;
  height: 40px;
  border: 0;
  margin: 5px 5px 15px;
  box-sizing: border-box;
  padding: 15px;
}

.login_main button {
  background: #63cdda;
  color: #fff;
  border: 0;
  width: 100%;
  padding: 10px;
  margin: 5px;
  font-size: 24px;
  cursor: pointer; 
}

.login_main .checkbox {
  color: #fff;
  padding-bottom: 10px;
  margin: 0px 5px 0px;
}

@media screen and (max-width: 550px) {
  header {
    flex-direction: column;
    height: auto;
    padding-bottom: 10px;
  }

  .logo {
    display: inline-block;
    margin-bottom: 10px;
  }

  form, .search-input {
    width: 100%;
  }

  .github-button {
    display: none;
  }

  .title {
    font-size: 18px;
  }

  .description {
    font-size: 14px;
  }

  .article-image {
    display: none;
  }
}
